Skip to main content
POST
/
open
/
workspaces
/
create
Create Workspace
curl --request POST \
  --url https://api.opnform.com/open/workspaces/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "emoji": "<string>"
}
'
import requests

url = "https://api.opnform.com/open/workspaces/create"

payload = {
"name": "<string>",
"emoji": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', emoji: '<string>'})
};

fetch('https://api.opnform.com/open/workspaces/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "<string>",
  "workspace_id": 123,
  "workspace": {
    "id": 1,
    "name": "My Marketing Team",
    "icon": "🚀",
    "settings": {}
  }
}

Create Workspace

Create a new workspace and automatically add the current user as an admin of that workspace.

Authentication & Scope

Requires the workspaces-write ability.

Request

POST /open/workspaces/create HTTP/1.1
Host: api.opnform.com
Content-Type: application/json
Authorization: Bearer <token>

Body Parameters

FieldTypeRequiredDescription
namestringYesDisplay name of the workspace.
emojistringNoOptional emoji/icon to represent it.
Example:
{
  "name": "Design Team",
  "emoji": "🎨"
}

Response

200 OK – Returns the newly created workspace information.
{
  "message": "Workspace created.",
  "workspace_id": 7,
  "workspace": {
    "id": 7,
    "name": "Design Team",
    "icon": "🎨",
    "settings": {},
    "max_file_size": 25,
    "is_readonly": false
  }
}
403 Forbidden – Token lacks workspaces-write or user not allowed.

Authorizations

Authorization
string
header
required

Personal Access Token

Body

application/json
name
string
required
emoji
string

Emoji or icon representing the workspace.

Response

Created

message
string
workspace_id
number
workspace
object